CREATE TABLE cmp_person_budgets (
    PERSON_EVENT_ID                  NUMBER(18, 0),
    BUSINESS_GROUP_ID                NUMBER(18, 0)    NOT NULL,
    POOL_ID                          NUMBER(18, 0),
    PLAN_ID                          NUMBER(18, 0),
    PERIOD_ID                        NUMBER(18, 0),
    BUDGET_POP_CD                    VARCHAR2(120),
    ACCESS_CD                        VARCHAR2(120),
    DIST_BUDGET_VAL                  NUMBER       ,
    WS_BUDGET_VAL                    NUMBER       ,
    DIST_BUDGET_ISSUE_VAL            NUMBER       ,
    WS_BUDGET_ISSUE_VAL              NUMBER       ,
    DFLT_DIST_BUDGET_VAL             NUMBER       ,
    DFLT_WS_BUDGET_VAL               NUMBER       ,
    DIST_BUDGET_ISSUE_DATE           DATE         ,
    WS_BUDGET_ISSUE_DATE             DATE         ,
    WS_BUDGET_VAL_LAST_UPD_DATE      DATE         ,
    DIST_BUDGET_VAL_LAST_UPD_DATE    DATE         ,
    WS_BUDGET_VAL_LAST_UPD_BY        NUMBER(18, 0),
    DIST_BUDGET_VAL_LAST_UPD_BY      NUMBER(18, 0),
    BUDGET_VAL_AMOUNT                NUMBER       ,
    BUDGET_VAL_PERCENT               NUMBER       ,
    OVERRIDE_OVER_BUDGET_CODE        VARCHAR2(120),
    OVERRIDE_OVER_ALLOCATE_CODE      VARCHAR2(120),
    BUDGET_LAST_UPD_DATE             DATE         ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    PERSON_EVENT_ID                  NUMBER(18, 0),
    BUSINESS_GROUP_ID                NUMBER(18, 0)    NOT NULL,
    POOL_ID                          NUMBER(18, 0),
    PLAN_ID                          NUMBER(18, 0),
    PERIOD_ID                        NUMBER(18, 0),
    BUDGET_POP_CD                    VARCHAR2(120),
    ACCESS_CD                        VARCHAR2(120),
    DIST_BUDGET_VAL                  NUMBER       ,
    WS_BUDGET_VAL                    NUMBER       ,
    DIST_BUDGET_ISSUE_VAL            NUMBER       ,
    WS_BUDGET_ISSUE_VAL              NUMBER       ,
    DFLT_DIST_BUDGET_VAL             NUMBER       ,
    DFLT_WS_BUDGET_VAL               NUMBER       ,
    DIST_BUDGET_ISSUE_DATE           DATE         ,
    WS_BUDGET_ISSUE_DATE             DATE         ,
    WS_BUDGET_VAL_LAST_UPD_DATE      DATE         ,
    DIST_BUDGET_VAL_LAST_UPD_DATE    DATE         ,
    WS_BUDGET_VAL_LAST_UPD_BY        NUMBER(18, 0),
    DIST_BUDGET_VAL_LAST_UPD_BY      NUMBER(18, 0),
    BUDGET_VAL_AMOUNT                NUMBER       ,
    BUDGET_VAL_PERCENT               NUMBER       ,
    OVERRIDE_OVER_BUDGET_CODE        VARCHAR2(120),
    OVERRIDE_OVER_ALLOCATE_CODE      VARCHAR2(120),
    BUDGET_LAST_UPD_DATE             DATE         ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CONSTRAINT pk_cmp_person_budgets PRIMARY KEY (PERSON_EVENT_ID, POOL_ID, PLAN_ID, PERIOD_ID, PERSON_EVENT_ID, POOL_ID, PLAN_ID, PERIOD_ID)
);
